TOPDIR=.
include $(TOPDIR)/Makefile.config

# 
# Main targets
#
dumps:
	$(MAKE) dumps -C riscv_instructions/
	mkdir -p ${TOPDIR}/target/dumps/
	find . -name '*.dump' -exec mv {} ${TOPDIR}/target/dumps/ \;

user_lib:
	$(MAKE) -C userlib/

tests: user_lib
	$(MAKE) tests -C riscv_instructions/
	mkdir -p ${TOPDIR}/target/guac/
	find . -name '*.guac' -exec mv {} ${TOPDIR}/target/guac/ \;

clean:
	rm -rf $(TOPDIR)/target